// @flow

import React from 'react'
import { storiesOf } from '@kadira/storybook'
import Carousel from './'
import { services } from '../../sample-data/connected.yml'

const theme = {
  // root: '-bg-aqua pa2 ba b--light-gray br2 outline-0',
  button: 'flex justify-center items-center w1 h1 pointer bg-black-40 white-80 br-100 pa1',
}

storiesOf('Carousel', module)
  .add('default', () => (
    <Carousel
      theme={theme}
      slidesToShow={3}
      items={services}
      renderItem={({ title, image }) => (
        <div className="ph1">
          <img src={image} alt={title} />
        </div>
      )}
    />
  ))
