// @flow

import React from 'react'
import BaseCountUp from 'react-countup'

const CountUp = ({
  className,
  start,
  end,
  duration,
  useEasing,
  separator,
  decimal,
  prefix,
  suffix,
  onComplete,
  onStart,
}: {
  className?: string,
  start: number,
  end: number,
  duration?: number,
  useEasing?: boolean,
  separator?: string,
  decimal?: string,
  prefix?: string,
  suffix?: string,
  onComplete?: Function,
  onStart?: Function,
}) => (
  <BaseCountUp
    data-component="CountUp"
    className={className}
    start={start}
    end={end}
    duration={duration}
    useEasing={useEasing}
    separator={separator}
    decimal={decimal}
    prefix={prefix}
    suffix={suffix}
    onComplete={onComplete}
    onStart={onStart}
  />
)

CountUp.defaultProps = {
  className: undefined,
  duration: undefined,
  useEasing: undefined,
  separator: undefined,
  decimal: undefined,
  prefix: undefined,
  suffix: undefined,
  onComplete: undefined,
  onStart: undefined,
}

export default CountUp
