// @flow

import React from 'react'
import CustomerReviewGridItem from 'components/CustomerReviewGridItem'

const CustomerReviewGrid = ({
  data,
  childrenTheme,
  itemClassName,
  className,
}: {
  data: Array<TCustomerReview>,
  childrenTheme: { [key: string]: string},
  className?: string,
  itemClassName: string,
}) => (
  <div data-component="CustomerReviewGrid" className={className}>
    {data.map(item => (
      <div key={item.name} className={itemClassName}>
        <CustomerReviewGridItem
          key={item.name}
          item={item}
          theme={childrenTheme}
        />
      </div>
    ))}
  </div>
)

CustomerReviewGrid.defaultProps = {
  className: null,
}

export default CustomerReviewGrid
