// @flow

import React from 'react'
import { storiesOf } from '@kadira/storybook'
import CustomerReviewGrid from './'
import data from '../../sample-data/customer-reviews.yml'

const childrenTheme = {
  root: 'shadow-1 pa2',
  image: 'h4 w4 pa1 br-100 ba b--light-gray',
  name: 'f5 b',
  from: 'f7',
  content: 'w-100 gray pa1 pa2-ns mt2 mt3-ns bt b--light-gray',
}

storiesOf('CustomerReviewGrid', module)
  .add('default', () => (
    <CustomerReviewGrid
      className="pa2 flex flex-wrap"
      itemClassName="w-100 w-third-ns pa2"
      data={data}
      childrenTheme={childrenTheme}
    />
  ))
