export function getPlace(placeId: string) {
  const geocoder = new window.google.maps.Geocoder()
  return new Promise((resolve, reject) => {
    geocoder.geocode({ placeId }, (results, status) => {
      if (status === 'OK') {
        resolve(results)
      } else {
        reject(`Geocoder failed due to: ${status}`)
      }
    })
  })
}

export function getDirection({
  origin,
  destination,
  travelMode = window.google.maps.TravelMode.DRIVING,
}: {
  origin: any,
  destination: any,
  travelMode: any,
}) {
  const directions = new window.google.maps.DirectionsService()
  return new Promise((resolve, reject) => {
    directions.route({
      origin,
      destination,
      travelMode,
    }, (result, status) => {
      if (status === window.google.maps.DirectionsStatus.OK) {
        resolve(result)
      } else {
        reject(`error fetching directions ${result}`)
      }
    })
  })
}
