// @flow

import React from 'react'
import PricingTable from 'components/PricingTable'
import FAQ from 'components/FAQ'
import StandardList from 'components/StandardList'
import SmallList from 'components/SmallList'
import HorizontalList from 'components/HorizontalList'
import HorizontalSmallList from 'components/HorizontalSmallList'

const MyFaq = ({
  data,
  className,
  childrenTheme,
}: {
  data: Array<{ question: string, answer: string }>,
  className?: string,
  childrenTheme: { [key: string]: string },
}) => (
  <FAQ items={data} className={className} theme={childrenTheme} />
)

MyFaq.defaultProps = {
  className: null,
}

function getComponent(type?: string = 'Standard'): any {
  return {
    Standard: StandardList,
    Small: SmallList,
    HorizontalSmall: HorizontalSmallList,
    Horizontal: HorizontalList,
    PricingTable,
    FAQ: MyFaq,
  }[type]
}

const SectionData = ({
  type,
  data,
  className,
  itemClassName,
  childrenTheme,
  Link,
}: {
  type?: string,
  data: TSectionData,
  className?: string,
  itemClassName: string,
  childrenTheme: { [key: string]: string },
  Link: any,
}) => {
  const Component = getComponent(type)
  return (
    <Component
      data-component="SectionData"
      className={className}
      data={data}
      childrenTheme={childrenTheme}
      itemClassName={itemClassName}
      Link={Link}
    />
  )
}

SectionData.defaultProps = {
  type: 'Standard',
  className: undefined,
}

export default SectionData
