// @flow

import React from 'react'
import { themr } from 'react-css-themr'
import cn from 'classnames'

export const defaultStyles = {
  image: 'is-128x128',
  title: 'f5',
}

const SmallItem = ({
  item: { image, title },
  className,
  theme,
}: {
  item: { image: string, title: string },
  className?: string,
  theme: { [key: string]: string },
}) => (
  <div className={cn('flex flex-column items-center tc', className)}>
    <img className={cn('image', theme.image)} src={image} alt={title} />
    <div className={theme.title}>{title}</div>
  </div>
)

SmallItem.defaultProps = {
  className: null,
}

export default themr('SmallItem', {}, { composeTheme: 'softly' })(SmallItem)
