'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultStyles = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _recompose = require('recompose');

var _nukaCarousel = require('nuka-carousel');

var _nukaCarousel2 = _interopRequireDefault(_nukaCarousel);

var _Icon = require('../Icon');

var _Icon2 = _interopRequireDefault(_Icon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var PreviousButton = function PreviousButton(_ref) {
  var previousSlide = _ref.previousSlide,
      className = _ref.className;
  return _react2.default.createElement(_Icon2.default, {
    name: 'fa-angle-left',
    className: className,
    onClick: function onClick() {
      return previousSlide();
    }
  });
};

PreviousButton.defaultProps = {
  className: null
};

var NextButton = function NextButton(_ref2) {
  var nextSlide = _ref2.nextSlide,
      className = _ref2.className;
  return _react2.default.createElement(_Icon2.default, {
    name: 'fa-angle-right',
    className: className,
    onClick: function onClick() {
      return nextSlide();
    }
  });
};

NextButton.defaultProps = {
  className: undefined
};

var defaultStyles = exports.defaultStyles = {
  button: 'w1 h1 pointer bg-black-10 br-100 pa1'
};

var Carousel = function Carousel(_ref3) {
  var _ref3$slidesToShow = _ref3.slidesToShow,
      slidesToShow = _ref3$slidesToShow === undefined ? 1 : _ref3$slidesToShow,
      className = _ref3.className,
      theme = _ref3.theme,
      items = _ref3.items,
      renderItem = _ref3.renderItem;
  return _react2.default.createElement(
    'div',
    { 'data-component': 'Carousel', className: (0, _classnames2.default)(theme.root, className) },
    _react2.default.createElement(
      _nukaCarousel2.default,
      {
        slidesToShow: slidesToShow,
        decorators: [{
          component: function component() {
            return null;
          },
          position: 'BottomCenter',
          style: {
            padding: 20
          }
        }, {
          component: (0, _recompose.defaultProps)({ className: theme.button })(PreviousButton),
          position: 'CenterLeft',
          style: {
            padding: 20
          }
        }, {
          component: (0, _recompose.defaultProps)({ className: theme.button })(NextButton),
          position: 'CenterRight',
          style: {
            padding: 20
          }
        }]
      },
      items.map(function (x) {
        return renderItem(x);
      })
    )
  );
};

Carousel.defaultProps = {
  slidesToShow: 1,
  className: undefined
};

exports.default = (0, _reactCssThemr.themr)('Carousel', {}, { composeTheme: 'softly' })(Carousel);