'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultStyles = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _CustomerReviewListItem = require('../CustomerReviewListItem');

var _CustomerReviewListItem2 = _interopRequireDefault(_CustomerReviewListItem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultStyles = exports.defaultStyles = {
  root: '',
  itemWrapper: 'w-100',
  itemRoot: 'flex-wrap ph2 pv4 ba bt-0-ns bl-0-ns br-0-ns b--light-gray br2 mv2',
  icon: 'f2 w-10-ns dn db-ns',
  meta: 'w-100 w-40-ns flex items-center',
  imageWrapper: '',
  image: 'h3 w3 pa1 br-100 ba b--light-gray',
  nameWrapper: 'pa3',
  name: 'f5 b',
  from: 'f7',
  content: 'w-100 w-50-ns'
};

var CustomerReviewList = function CustomerReviewList(_ref) {
  var data = _ref.data,
      className = _ref.className,
      theme = _ref.theme;
  return _react2.default.createElement(
    'div',
    { 'data-component': 'CustomerReviewList', className: (0, _classnames2.default)(theme.root, className) },
    data.map(function (item) {
      return _react2.default.createElement(
        'div',
        { key: item.name, className: theme.itemWrapper },
        _react2.default.createElement(_CustomerReviewListItem2.default, {
          key: item.name,
          item: item,
          theme: {
            root: theme.itemRoot,
            icon: theme.icon,
            meta: theme.meta,
            imageWrapper: theme.imageWrapper,
            image: theme.image,
            nameWrapper: theme.nameWrapper,
            name: theme.name,
            from: theme.from,
            content: theme.content
          }
        })
      );
    })
  );
};

CustomerReviewList.defaultProps = {
  className: null
};

exports.default = (0, _reactCssThemr.themr)('CustomerReviewList', {}, { composeTheme: 'softly' })(CustomerReviewList);