'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultStyles = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _recompose = require('recompose');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _reactCssThemr = require('react-css-themr');

var _Icon = require('../Icon');

var _Icon2 = _interopRequireDefault(_Icon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultStyles = exports.defaultStyles = {
  item: '',
  question: '',
  answer: ''
};

var FAQItem = (0, _recompose.withState)('isOpen', 'open', false)(function (_ref) {
  var item = _ref.item,
      isOpen = _ref.isOpen,
      open = _ref.open,
      theme = _ref.theme;
  return _react2.default.createElement(
    'div',
    {
      'data-component': 'FAQ',
      className: theme.item,
      onClick: function onClick() {
        return open(!isOpen);
      }
    },
    _react2.default.createElement(
      'div',
      { className: (0, _classnames2.default)('pointer flex items-center', theme.question) },
      _react2.default.createElement(_Icon2.default, { className: theme.icon, name: isOpen ? 'fa-minus' : 'fa-plus' }),
      item.question
    ),
    isOpen && _react2.default.createElement(
      'div',
      { className: (0, _classnames2.default)({ dn: !isOpen }, theme.answer) },
      item.answer
    )
  );
});

FAQItem.defaultProps = {
  className: null
};

var FAQ = function FAQ(_ref2) {
  var items = _ref2.items,
      theme = _ref2.theme,
      className = _ref2.className;
  return _react2.default.createElement(
    'div',
    { className: className },
    items.map(function (item) {
      return _react2.default.createElement(FAQItem, { key: item.question, theme: theme, item: item });
    })
  );
};

FAQ.defaultProps = {
  className: null
};

exports.default = (0, _reactCssThemr.themr)('FAQ', {}, { composeTheme: 'softly' })(FAQ);