'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultStyles = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultStyles = exports.defaultStyles = {
  root: 'aspect-ratio--3x4 aspect-ratio--4x3-m aspect-ratio--16x9-l',
  container: 'flex items-center justify-center'
};

var Hero = function Hero(_ref) {
  var backgroundImage = _ref.backgroundImage,
      _ref$overlayColor = _ref.overlayColor,
      overlayColor = _ref$overlayColor === undefined ? 'rgba(0, 0, 0, 0)' : _ref$overlayColor,
      children = _ref.children,
      _ref$videos = _ref.videos,
      videos = _ref$videos === undefined ? [] : _ref$videos,
      theme = _ref.theme;

  var style = backgroundImage ? {
    background: 'linear-gradient(' + overlayColor + ', ' + overlayColor + '), url(' + backgroundImage + ')'
  } : {};
  return _react2.default.createElement(
    'div',
    {
      'data-component': 'Hero',
      className: (0, _classnames2.default)('relative cover', theme.root),
      style: style
    },
    _react2.default.createElement(
      'div',
      {
        className: (0, _classnames2.default)('absolute absolute--fill z-1', theme.container)
      },
      children
    ),
    videos.length > 0 && _react2.default.createElement(
      'video',
      {
        className: 'dn db-l absolute z-0 w-100',
        playsInline: true,
        autoPlay: true,
        muted: true,
        loop: true,
        poster: backgroundImage
      },
      videos.map(function (video) {
        return _react2.default.createElement('source', { key: video, src: video, type: 'video/mp4' });
      })
    )
  );
};

Hero.defaultProps = {
  children: null,
  className: null,
  backgroundImage: null,
  overlayColor: 'rgba(0, 0, 0, 0)',
  videos: []
};

exports.default = (0, _reactCssThemr.themr)('Hero', {}, { composeTheme: 'softly' })(Hero);