'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultStyles = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultStyles = exports.defaultStyles = {
  root: '',
  imageWrapper: '',
  image: 'h2 w2 pa2',
  bodyWrapper: '',
  title: 'f5',
  description: '',
  footer: '',
  actionWrapper: '',
  action: ''
};

var HorizontalItem = function HorizontalItem(_ref) {
  var _ref$item = _ref.item,
      image = _ref$item.image,
      title = _ref$item.title,
      description = _ref$item.description,
      _ref$item$actions = _ref$item.actions,
      actions = _ref$item$actions === undefined ? [] : _ref$item$actions,
      reverse = _ref.reverse,
      className = _ref.className,
      theme = _ref.theme,
      Link = _ref.Link;
  return _react2.default.createElement(
    'div',
    { className: (0, _classnames2.default)('flex flex-wrap items-center', theme.root, className, { 'flex-row-reverse': reverse }) },
    _react2.default.createElement(
      'div',
      { className: theme.imageWrapper },
      _react2.default.createElement('img', { className: (0, _classnames2.default)('flex-none-ns', theme.image), src: image, alt: title })
    ),
    _react2.default.createElement(
      'div',
      { className: theme.bodyWrapper },
      _react2.default.createElement(
        'div',
        { className: theme.title },
        title
      ),
      _react2.default.createElement(
        'div',
        { className: theme.description },
        description
      ),
      _react2.default.createElement(
        'div',
        { className: theme.footer },
        actions.length > 0 && actions.map(function (action) {
          return _react2.default.createElement(
            'div',
            { className: theme.actionWrapper },
            _react2.default.createElement(
              Link,
              {
                className: (0, _classnames2.default)('button', theme.action, action.className),
                to: action.href
              },
              action.label
            )
          );
        })
      )
    )
  );
};

HorizontalItem.defaultProps = {
  className: null,
  reverse: false
};

exports.default = (0, _reactCssThemr.themr)('HorizontalItem', {}, { composeTheme: 'softly' })(HorizontalItem);