'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultStyles = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _recompose = require('recompose');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Icon = require('../Icon');

var _Icon2 = _interopRequireDefault(_Icon);

var _Link = require('../Link');

var _Link2 = _interopRequireDefault(_Link);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var defaultStyles = exports.defaultStyles = {
  root: '',
  item: 'ttu f6'
};

var LanguageSelector = function LanguageSelector(_ref) {
  var isShow = _ref.isShow,
      show = _ref.show,
      theme = _ref.theme,
      className = _ref.className,
      _ref$items = _ref.items,
      items = _ref$items === undefined ? [] : _ref$items,
      selected = _ref.selected,
      isSticky = _ref.isSticky;
  return _react2.default.createElement(
    'div',
    {
      'data-component': 'LanguageSelector',
      className: (0, _classnames2.default)('pointer flex items-center', theme.root, className),
      onClick: function onClick() {
        return show(!isShow);
      }
    },
    _react2.default.createElement(_Icon2.default, { name: 'fa-globe', className: theme.icon }),
    items.map(function (item) {
      return _react2.default.createElement(
        _Link2.default,
        {
          key: item.lang,
          to: item.to,
          className: isSticky ? (0, _classnames2.default)(theme.stickyItem || theme.item, theme.stickyLink || theme.link, _defineProperty({}, theme.stickySelected, selected === item.lang)) : (0, _classnames2.default)(theme.item, theme.link, _defineProperty({}, theme.selected, selected === item.lang))
        },
        item.lang
      );
    })
  );
};

LanguageSelector.defaultProps = {
  className: undefined
};

exports.default = (0, _recompose.compose)((0, _reactCssThemr.themr)('LanguageSelector', {}, { composeTheme: 'softly' }), (0, _recompose.withState)('isShow', 'show', false))(LanguageSelector);