'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultStyles = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var defaultStyles = exports.defaultStyles = {
  root: '',
  title: '',
  subtitle: '',
  body: 'mw8 center'
};

var Section = function Section(_ref) {
  var title = _ref.title,
      subtitle = _ref.subtitle,
      backgroundImage = _ref.backgroundImage,
      _ref$overlayColor = _ref.overlayColor,
      overlayColor = _ref$overlayColor === undefined ? 'rgba(0, 0, 0, 0)' : _ref$overlayColor,
      _ref$titleEle = _ref.titleEle,
      titleEle = _ref$titleEle === undefined ? 'h3' : _ref$titleEle,
      _ref$subtitleEle = _ref.subtitleEle,
      subtitleEle = _ref$subtitleEle === undefined ? 'h4' : _ref$subtitleEle,
      showHr = _ref.showHr,
      children = _ref.children,
      theme = _ref.theme,
      className = _ref.className,
      props = _objectWithoutProperties(_ref, ['title', 'subtitle', 'backgroundImage', 'overlayColor', 'titleEle', 'subtitleEle', 'showHr', 'children', 'theme', 'className']);

  var style = backgroundImage ? {
    background: 'linear-gradient(' + overlayColor + ', ' + overlayColor + '), url(' + backgroundImage + ')'
  } : {};
  var Header = titleEle;
  var Subtitle = subtitleEle;

  return _react2.default.createElement(
    'section',
    _extends({
      'data-component': 'Section',
      className: (0, _classnames2.default)(theme.root, className),
      style: style
    }, props),
    _react2.default.createElement(
      'header',
      { className: theme.header },
      _react2.default.createElement(
        Header,
        { className: theme.title },
        title
      ),
      subtitle && _react2.default.createElement(
        Subtitle,
        { className: theme.subtitle },
        subtitle
      )
    ),
    showHr && _react2.default.createElement('div', { className: theme.hr }),
    _react2.default.createElement(
      'div',
      { className: theme.body },
      children
    )
  );
};

Section.defaultProps = {
  subtitle: undefined,
  titleEle: 'h3',
  subtitleEle: 'h4',
  backgroundImage: undefined,
  overlayColor: 'rgba(0, 0, 0, 0)',
  showHr: false,
  children: null,
  className: undefined
};

exports.default = (0, _reactCssThemr.themr)('Section', {}, { composeTheme: 'softly' })(Section);