'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultStyles = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _SectionData = require('../SectionData');

var _SectionData2 = _interopRequireDefault(_SectionData);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultStyles = exports.defaultStyles = {
  root: '',
  title: '',
  subtitle: '',
  body: 'mw8 center',
  itemWrapper: 'w-100 w-third-ns pv2 ph2-ns',
  action: ''
};

var SectionWithData = function SectionWithData(_ref) {
  var _ref$section = _ref.section;
  _ref$section = _ref$section === undefined ? {} : _ref$section;
  var title = _ref$section.title,
      subtitle = _ref$section.subtitle,
      type = _ref$section.type,
      _ref$section$useH = _ref$section.useH1,
      useH1 = _ref$section$useH === undefined ? false : _ref$section$useH,
      _ref$section$data = _ref$section.data,
      data = _ref$section$data === undefined ? [] : _ref$section$data,
      _ref$section$actions = _ref$section.actions,
      actions = _ref$section$actions === undefined ? [] : _ref$section$actions,
      backgroundImage = _ref$section.backgroundImage,
      theme = _ref.theme,
      childrenTheme = _ref.childrenTheme,
      Link = _ref.Link,
      className = _ref.className;

  var H = useH1 ? 'h1' : 'div';

  var style = backgroundImage ? {
    backgroundImage: 'url(' + backgroundImage + ')'
  } : {};

  return _react2.default.createElement(
    'div',
    {
      'data-component': 'SectionWithData',
      className: (0, _classnames2.default)(theme.root, className),
      style: style
    },
    _react2.default.createElement(
      H,
      { className: theme.title },
      title
    ),
    _react2.default.createElement(
      'div',
      { className: theme.subtitle },
      subtitle
    ),
    _react2.default.createElement(_SectionData2.default, {
      type: type,
      className: theme.body,
      itemClassName: theme.itemWrapper,
      childrenTheme: childrenTheme,
      data: data,
      Link: Link
    }),
    _react2.default.createElement(
      'div',
      { className: theme.footer },
      actions.length > 0 && actions.map(function (action) {
        return _react2.default.createElement(
          'div',
          { className: 'h3 tc mt2 mt3-ns' },
          _react2.default.createElement(
            Link,
            {
              className: (0, _classnames2.default)('button', theme.action, { 'is-outlined': action.secondary }),
              to: action.href
            },
            action.label
          )
        );
      })
    )
  );
};

SectionWithData.defaultProps = {
  callToAction: null,
  className: null,
  section: {}
};

exports.default = (0, _reactCssThemr.themr)('SectionWithData', {}, { composeTheme: 'softly' })(SectionWithData);