'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultStyles = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _lodash = require('lodash.reduce');

var _lodash2 = _interopRequireDefault(_lodash);

var _camelcase = require('camelcase');

var _camelcase2 = _interopRequireDefault(_camelcase);

var _Section = require('../Section');

var _Section2 = _interopRequireDefault(_Section);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var defaultStyles = exports.defaultStyles = {
  root: '',
  leftTitle: '',
  leftSubtitle: '',
  leftBody: 'mw8 center',
  leftItemWrapper: 'w-100 w-third-ns pv2 ph2-ns',
  leftAction: '',
  rightTitle: '',
  rightSubtitle: '',
  rightBody: 'mw8 center',
  rightItemWrapper: 'w-100 w-third-ns pv2 ph2-ns',
  rightAction: ''
};

function getTheme(type, theme) {
  return (0, _lodash2.default)(theme, function (acc, value, key) {
    if (key.startsWith(type)) {
      return _extends({}, acc, _defineProperty({}, (0, _camelcase2.default)(key.replace(type, '')), value));
    }
    return acc;
  }, {});
}

var SplitSection = function SplitSection(_ref) {
  var _ref$section = _ref.section,
      left = _ref$section.left,
      right = _ref$section.right,
      theme = _ref.theme,
      childrenTheme = _ref.childrenTheme,
      Link = _ref.Link,
      className = _ref.className;

  var leftTheme = getTheme('left', theme);
  var rightTheme = getTheme('right', theme);
  var leftChildrenTheme = getTheme('left', childrenTheme);
  var rightChildrenTheme = getTheme('right', childrenTheme);
  return _react2.default.createElement(
    'div',
    { className: (0, _classnames2.default)(className, theme.root) },
    _react2.default.createElement(_Section2.default, {
      theme: leftTheme,
      childrenTheme: leftChildrenTheme,
      section: left,
      Link: Link
    }),
    _react2.default.createElement(_Section2.default, {
      theme: rightTheme,
      childrenTheme: rightChildrenTheme,
      section: right,
      Link: Link
    })
  );
};

SplitSection.defaultProps = {
  callToAction: null,
  className: null,
  section: {}
};

exports.default = (0, _reactCssThemr.themr)('SplitSection', {}, { composeTheme: 'softly' })(SplitSection);