'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _reactForm = require('react-form');

var _Icon = require('../Icon');

var _Icon2 = _interopRequireDefault(_Icon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var TextInput = function TextInput(_ref) {
  var field = _ref.field,
      _ref$type = _ref.type,
      type = _ref$type === undefined ? 'text' : _ref$type,
      _ref$multiline = _ref.multiline,
      multiline = _ref$multiline === undefined ? false : _ref$multiline,
      icon = _ref.icon,
      label = _ref.label,
      className = _ref.className,
      theme = _ref.theme,
      rest = _objectWithoutProperties(_ref, ['field', 'type', 'multiline', 'icon', 'label', 'className', 'theme']);

  var Input = multiline ? 'textarea' : 'input';
  return _react2.default.createElement(
    _reactForm.FormInput,
    {
      className: (0, _classnames2.default)(theme.root, className),
      field: field,
      showErrors: false
    },
    function (_ref2) {
      var setValue = _ref2.setValue,
          getValue = _ref2.getValue,
          setTouched = _ref2.setTouched;
      return _react2.default.createElement(
        'div',
        null,
        !!label && _react2.default.createElement(
          'label',
          { className: theme.label, htmlFor: field },
          label
        ),
        _react2.default.createElement(
          'div',
          { className: 'flex items-center' },
          !!icon && _react2.default.createElement(_Icon2.default, { key: 'icon', className: theme.icon, name: icon }),
          _react2.default.createElement(Input, _extends({
            key: 'input',
            name: field,
            className: (0, _classnames2.default)('flex-auto input-reset outline-0 bn', theme.input),
            type: type
          }, rest, { // Send the rest of your props to React-Select
            value: getValue() || '' // Set the value to the forms value
            , onChange: function onChange(e) {
              setValue(e.target.value);
            } // On Change, update the form value
            , onBlur: function onBlur() {
              return setTouched();
            }
          }))
        )
      );
    }
  );
};

TextInput.defaultProps = {
  className: undefined,
  label: undefined
};

exports.default = (0, _reactCssThemr.themr)('TextInput', {}, { composeTheme: 'softly' })(TextInput);